​
Select Service
ves-io-schema-healthcheck-API-Get
Published April 5, 2023 | Last modified September 23, 2026
Examples of getting healthcheck
Usecase:
Get healthcheck-productpage
Request using vesctl:
vesctl configuration get healthcheck healthcheck-productpage --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: healthcheck-productpage namespace: documentationreferringObjects: []resourceVersion: "1350"spec: healthyThreshold: 2 httpHealthCheck: expectedStatusCodes: [] headers: {} hostHeader: productpage.internal.bookinfo.com path: /healthcheck requestHeadersToRemove: [] interval: 10 jitterPercent: 20 timeout: 3 unhealthyThreshold: 3status: []systemMetadata: creationTimestamp: "2026-06-19T22:03:08.607891Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: cade8aa0-a764-4afe-85b0-66ae4fab8842Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/healthchecks/healthcheck-productpage?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 1260Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:03:08 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "1350", "metadata": { "name": "healthcheck-productpage", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "cade8aa0-a764-4afe-85b0-66ae4fab8842", "creation_timestamp": "2026-06-19T22:03:08.607891Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "http_health_check": { "host_header": "productpage.internal.bookinfo.com", "path": "/healthcheck", "headers": { }, "request_headers_to_remove": [ ], "use_http2": false, "expected_status_codes": [ ], "expected_response": "" }, "timeout": 3, "interval": 10, "jitter": 0, "unhealthy_threshold": 3, "healthy_threshold": 2, "jitter_percent": 20 }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}